<%@       page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld" prefix="x" %>
<x:parse var="nsDom" xml="${ns_xml_data}"  />

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources"/>

<html>

<head>
   <META HTTP-EQUIV="Content-Type" content="text/html; charset=utf-8"/>
   <META HTTP-EQUIV="Expires" content="0"/>
   <iman:eMFrameScripts/>
   <style>
       A:link     {color:#039; text-decoration:none;}
       A:visited  {color:#039; text-decoration:none;}
       A:hover    {color:green; text-decoration:underline;}
       A:active   {color:#039; text-decoration:none;}
      .major      {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .majorlink  {line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .minor      {margin-left: 20px; font-weight: normal; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .loginmsg   {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      TABLE       {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TH          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TD          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
   </style>
   <title>NetStorage Administration</title>
   <iman:stylesheet />

<%--
<script LANGUAGE="JavaScript" type="text/javascript" SRC="/NetStorage/messages.js"></script>
<script language="JavaScript" type="text/javascript" src="/NetStorage/common.js"></script>
--%>
   <script LANGUAGE="JavaScript" type="text/javascript" DEFER="true">
      function addDomain()
      {
         if (document.domainform.name.value == "")
         {
   <%--     alert(S_NO_DOMAIN); --%>
            var nodomain='<iman:string key="msgEmptyDomain"/>';
            alert(nodomain);
         }
         else
         {
            document.domainform.submit();
         }
      }
      function setFocus()
      {
         document.domainform.name.focus();
      }
   </script>
</head>

<body onload="setFocus()">
   <link rel='stylesheet' href='{$ModulesPath}/dev/css/hf_style.css'></link>
   <iman:taskHeader titleKey="title.AddDomain" helpFile="NetStorage/authentication_domain.html" />
   <br/>

   <div class='width450'>
      <span class='formdescriptextml0'>
         <iman:string key="text.AddDomain"/>
      </span>
   </div>
   <br/>

   <table>
   <form name='domainform' method='get' action='/nps/servlet/frameservice'>
   <input type='hidden' name='label' value='[authdomains]'/>
      <tr bgcolor='#cccc99' margin='0'>
         <th><iman:string key="AuthenticationDomains.Button.AddDomain"/></th>
      </tr>
      <tr>
         <td>
            <iman:string key="AuthenticationDomains.Label.EnterDomain"/>:<input type='text' name='name' size='65'/>
         </td>
      </tr>
      <tr>
         <td>
            <input type='hidden' name='type' value='REG_ADD_KEY'/>
            <input type='hidden' name='location' value='XTier\Configuration\Xsrv\Authentication%20Domains'/>
            <input type='hidden' name='value' value='NONE'/>
            <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
            <input type='hidden' name='NPAction' value='AddDomain'/>
            <input type='hidden' name='action' value='AddDomain'/>
            <input type='button' value='<iman:string key="AuthenticationDomains.Button.AddDomain" />' onclick='addDomain()'/>
         </td>
      </tr>
   </form>
   </table>

</body>
</html>
