<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld"    prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld"    prefix="x" %>

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources" />
<iman:stringtable bundle="DevResources" />

<html>
<head>
   <title><iman:string key="dev.ProductName"/></title>
   <iman:stylesheet />

   <iman:eMFrameScripts />
   <iman:osScripts />
   <iman:targetChooserScripts />
   <iman:mvedScripts />
   <iman:validateNumberScripts />

   <script>
      function onInit()
      {
      }

      function onExit()
      {
      }

      function doit()
      {
         if (document.storagelocationsform.objectName.value == "")
         {
            alert("Must select a context!");
         }
         else
         {
            document.storagelocationsform.submit();
         }
      }
   </script>
</head>

<body bgcolor="#FFFFFF" onLoad="returnFromOS();onInit();">
   <FORM name='storagelocationsform' method='get' action='webacc'>
      <iman:taskHeader titleKey="StorageLocations.Title.StorageLocationCreateModify"
                       helpFile="NetStorage/slocation_list.html" />

      <!-- Object Selector to bind xTier-Locations -->
      <br/>
      <div class='width450'>
         <span class='formdescriptextml0'>
            <iman:string key="StorageLocations.Text1" />
         </span>
      </div>
      <br/>
      <table>
         <tr>
            <td><iman:string key="StorageLocations.Label.Object" />:</td>
            <td><input type='text' name='objectName' size='<iman:string key="UI.textboxSize" />'
                       style='width:<iman:string key="UI.textboxPixel" />' border='0' hspace='4' /></td>
            <td><iman:os control="objectName" mode="Browse" typeFilter="[containers],User,Group,Locality,Country,Profile"
                         history="false" /></td>
         </tr>
      </table>

      <!-- ok and cancel buttons -->
      <br/>
      <iman:bar />
      <iman:button name="OkButton" key="OK" onClick="doit()" />
      <iman:cancelBtn />

<%--  <input type='hidden' name='NPService' value='{../@id}'/> --%>
      <input type='hidden' name='taskId' value='<c:out value="${taskId}" />' />
      <input type='hidden' name='NPState' value='BindStorageLocationMainPage'/>
      <input type='hidden' name='NSAction' value='GetData'/>
   </form>
   <iman:osFooter />
</body>
</html>
