<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld"    prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld"    prefix="x" %>
<%-- <x:parse var="nsDom" xml="${ns_xml_data}"  /> --%>

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources" />
<iman:stringtable bundle="DevResources" />

<%-- ========================================================================
                        Create Storage Location UI
========================================================================= --%>
<html>
<head>
   <title><iman:string key="dev.ProductName"/></title>
<%--      <LINK rel='stylesheet' href='{$Portal.ResourcePath}/modules/dev/css/hf_style.css'></LINK>--%>
   <iman:stylesheet />

<%--      <xsl:call-template name="eMFrameScripts"/> --%>
   <iman:eMFrameScripts />
<%--      <xsl:call-template name="OSScripts"/> --%>
   <iman:osScripts />
<%--      <xsl:call-template name="target-chooser-scripts"/> --%>
   <iman:targetChooserScripts />
<%--      <xsl:call-template name="MVStringEditorScripts"/> --%>
   <iman:mvedScripts />
<%--      <xsl:call-template name="ValidateIntegerScripts"/> --%>
   <iman:validateNumberScripts />
<%--      <xsl:call-template name="help-scripts"/> --%>

   <script>
      function onInit()
      {
      }

      function onExit()
      {
      }

      function doit()
      {
         if (document.storagelocationsform.name.value == "")
         {
            alert("No value selected!");
         }
         else
         {
            document.storagelocationsform.submit();
         }
      }
   </script>
</head>

<body bgcolor="#FFFFFF" onLoad="returnFromOS();onInit();">
   <form name='storagelocationsform' method='get' action='webacc'>
<%--            <xsl:call-template name='task-header'> --%>
<%--            <xsl:with-param name='TaskHeader.title'><xsl:value-of select="$com.novell.emframe.netstorage.StorageLocations.Title.Create"/>
                      </xsl:with-param> --%>
<%--            <xsl:with-param name="TaskHeader.iconUrl" select="concat($Portal.ResourcePath, '/modules/dev/images/dir/User.gif')"/> --%>
         <%-- help *.html files must be located in NetStorage/help/en or appropriate language dir --%>
<%--            <xsl:with-param name='TaskHeader.helpFile'>NetStorage/slocation_create.html</xsl:with-param> --%>
<%--            </xsl:call-template> --%>
      <iman:taskHeader titleKey="StorageLocations.Title.Create" helpFile="NetStorage/slocation_create.html" />

         <%-- Object Selector to create xTier-StorageLocation obj --%>
      <br/>
      <iman:messagebar />
      <div class='width450'>
         <span class='formdescriptextml0'>
<%--        <xsl:value-of select="$com.novell.emframe.netstorage.StorageLocations.Text2"/> --%>
            <iman:string key="StorageLocations.Text2" />
         </span>
      </div>
      <br/>
<%--              xTier-URL, CN, displayName & Description inputs --%>
      <table>
         <tr>
            <td><nobr><iman:string key="StorageLocations.Label.ObjectName" />:</nobr></td>
            <td><input type='text' name='name' value='<c:out value="${objectName}" />'
                       size="<iman:string key='UI.textboxSize' />"
                       style='width:<iman:string key="UI.textboxPixel" />' /></td>
         </tr>
         <tr>
            <td><nobr><iman:string key="StorageLocations.Label.DisplayName" />:</nobr></td>
            <td><input type='text' name='displayname' value='<c:out value="${displayName}" />'
                       size="<iman:string key='UI.textboxSize' />"
                       style="width:<iman:string key="UI.textboxPixel" />"></input></td>
         </tr>
         <tr>
            <td><nobr><iman:string key="StorageLocations.Label.DirectoryLocation" />:</nobr></td>
            <td><input type='text' name='xtierurl' value='<c:out value="${xtierurl}" />'
                     size='<iman:string key='UI.textboxSize' />'
                     style='width:<iman:string key="UI.textboxPixel" />'></input></td>
         </tr>
         <tr>
            <td><iman:string key="AuthenticationDomains.Label.Context" />:</td>
            <td><input type='text' name='context' value='<c:out value="${context}" />'
                       size='42' style='width:264' border='0' hspace='4' /></td>
<%--                     <xsl:call-template name="OS"> --%>
<%--                     <xsl:with-param name="OS.Control">context</xsl:with-param> --%>
<%--                     <xsl:with-param name="OS.Mode">Browse</xsl:with-param> --%>
<%--                     <xsl:with-param name="OS.TypeFilter">Organization, Organizational Unit</xsl:with-param> --%>
<%--                     <xsl:with-param name="OS.History">true</xsl:with-param> --%>
<%--                     </xsl:call-template> --%>
            <td><iman:os control="context" mode="Browse" typeFilter="Organization, Organizational Unit"
                         history="true" /></td>
         </tr>
         <tr>
            <td><nobr><iman:string key="StorageLocations.Label.Comment" />:</nobr></td>
            <td><input type='text' name='description' value='<c:out value="${description}" />'
                       size="<iman:string key='UI.textboxSize' />"
                       style="width:<iman:string key="UI.textboxPixel" />"></input></td>
         </tr>
      </table>

<%-- ok and cancel buttons --%>
      <br/>
<%--            <xsl:call-template name="bar"></xsl:call-template> --%>
      <iman:bar />
<%--            <INPUT type="image" name="OkButton" src="{$Portal.ResourcePath}/modules/dev/images/{$dev.Button.OK.image}"
                       alt="{$dev.Button.OK.alt}" title="{$dev.Button.OK.alt}" border="0"/> --%>
<%--            <input type='image' name='CreateButton' src='{$Portal.ResourcePath}/modules/dev/images/{$dev.Button.Create.image}'
                       alt='{$dev.Button.Create.alt}' title='{$dev.Button.Create.alt}' border='0'/> --%>
      <iman:button name="CreateButton" key="Create" onClick="doit()" />
<%--            <xsl:call-template name='NScancel'/> --%>
      <iman:cancelBtn />
      <input type='hidden' name='taskId' value='<c:out value="${taskId}" />' />
      <input type='hidden' name='NPState' value='CreateStorageLocationMainPage' />
      <input type='hidden' name='NPAction' value='CreateStorageLocation' />
   </form>
<%--         <xsl:call-template name="OSFooter"/> --%>
   <iman:osFooter />
</body>
</html>
