<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld" prefix="x" %>
<x:parse var="nsDom" xml="${ns_xml_data}"  />

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources"/>

<html>

<head>
   <META HTTP-EQUIV="Content-Type" content="text/html; charset=utf-8"/>
   <META HTTP-EQUIV="Expires" content="0"/>
   <iman:eMFrameScripts/>
   <style>
       A:link     {color:#039; text-decoration:none;}
       A:visited  {color:#039; text-decoration:none;}
       A:hover    {color:green; text-decoration:underline;}
       A:active   {color:#039; text-decoration:none;}
      .major      {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .majorlink  {line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .minor      {margin-left: 20px; font-weight: normal; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .loginmsg   {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      TABLE       {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TH          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TD          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
   </style>
   <title>NetStorage Administration</title>
   <iman:stylesheet />
</head>

<body>

   <link rel='stylesheet' href='{$ModulesPath}/dev/css/hf_style.css'></link>

   <iman:taskHeader titleKey="Statistics.Title.Statistics" helpFile="NetStorage/statistics.html" />
   <br/>
   <table border='1' cellpadding='2' cellspacing='2' name='table1' id='table1'>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.ServerUp"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//server-up"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.TotalRequests"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//total-requests"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.BytesRead"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//bytes-read"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.BytesWritten"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//bytes-written"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.OutstandingRequests"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//outstanding-requests"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.Sessions"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//sessions"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.MaxConcurrentSessions"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//max-concurrent-sessions"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.SessionsCreated"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//sessions-created"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.AuthenticationFailovers"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//authentication-failovers"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.LoginFailures"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//login-failures"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.MemoryAllocationFailures"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//memory-allocation-failures"/></td></tr>
      <tr><th align='left' bgcolor='#cccc99' margin='0'><iman:string key="Statistics.Label.IoBufferAllocationFailures"/></th>
         <td bgcolor='#efeee9'><x:out  select="$nsDom//io-buffer-allocation-failures"/></td></tr>
   </table>

</body>
</html>
