<%@       page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld" prefix="x" %>
<x:parse var="nsDom" xml="${ns_xml_data}"  />

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources"/>

<html>

<head>
   <META HTTP-EQUIV="Content-Type" content="text/html; charset=utf-8"/>
   <META HTTP-EQUIV="Expires" content="0"/>
   <iman:eMFrameScripts/>
   <style>
       A:link     {color:#039; text-decoration:none;}
       A:visited  {color:#039; text-decoration:none;}
       A:hover    {color:green; text-decoration:underline;}
       A:active   {color:#039; text-decoration:none;}
      .major      {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .majorlink  {line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .minor      {margin-left: 20px; font-weight: normal; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .loginmsg   {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      TABLE       {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TH          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TD          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
   </style>
   <title>NetStorage Administration</title>
   <iman:stylesheet />

<%--
   <script LANGUAGE="JavaScript" type="text/javascript" SRC="/NetStorage/messages.js"></script>
   <script language="JavaScript" type="text/javascript" src="/NetStorage/common.js"></script>
--%>
   <script LANGUAGE="JavaScript" type="text/javascript" DEFER="true">
      function addHost()
      {
         document.hostform.submit();
      }
      function setFocus()
      {
         document.hostform.value.focus();
      }
   </script>
</head>

<body onload="setFocus()">

<link rel='stylesheet' href='{$ModulesPath}/dev/css/hf_style.css'></link>

<iman:taskHeader titleKey="title.AddHost" helpFile="NetStorage/authentication_domain.html" />
   <br/>

   <table>
      <form name='hostform' method='get' action='/nps/servlet/frameservice'>
      <input type='hidden' name='label' value='[authdomains]'/>
         <tr bgcolor='#cccc99' margin='0'>
            <th><iman:string key="AuthenticationDomains.Label.Domain"/>:<x:out select='$nsDom/addhost/domain'/></th>
         </tr>
         <tr>
            <td>
               <iman:string key="AuthenticationDomains.Label.EnterHost"/>:<input type='hidden' name='name' value='Other%20Hosts'/>
               <input type='hidden' name='type' value='REG_SZ'/>
               <input type='hidden' name='location'
                  value='XTier\Configuration\Xsrv\Authentication%20Domains\<x:out select="$nsDom/addhost/domain"/>'/>
               <input type='text' name='value' value='<x:out select="$nsDom/addhost/value"/>'/>
               <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
               <input type='hidden' name='NPAction' value='AddHost'/>
               <input type='hidden' name='action' value='AddHost'/>
            </td>
         </tr>
         <tr>
            <td>
               <input type='button' value='<iman:string key="AuthenticationDomains.Button.AddHost"/>' onclick='addHost()'/>
            </td>
         </tr>
      </form>
   </table>

</body>
</html>
