<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld" prefix="x" %>
<x:parse var="nsDom" xml="${ns_xml_data}"  />

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources"/>

<html>

<head>
   <META HTTP-EQUIV="Content-Type" content="text/html; charset=utf-8"/>
   <META HTTP-EQUIV="Expires" content="0"/>
   <iman:eMFrameScripts/>

   <style>
      A:link     {color:#039; text-decoration:none;}
      A:visited  {color:#039; text-decoration:none;}
      A:hover  {color:green; text-decoration:underline;}
      A:active   {color:#039; text-decoration:none;}
      .major      {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .majorlink  {line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .minor      {margin-left: 20px; font-weight: normal; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .loginmsg   {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      TABLE       {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TH          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TD          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
   </style>
   <title>NetStorage Administration</title>
   <iman:stylesheet />

   <script LANGUAGE="JavaScript" type="text/javascript" DEFER="true">
   function setPrimary(domain)
   {
      document.primaryform.name.value = domain;
      document.primaryform.submit();
   }
   function delDomain(name)
   {
      var resp = false;
      resp = confirm(formatMessage("<iman:string key="message.ContinueRemove" />", [name]));
      if (resp == true)
      {
         document.delDomainForm.name.value = name;
         document.delDomainForm.submit();
      }
      else
      {
         return;
      }
   }
   function delContext(name, location)
   {
      var resp = false;

      resp = confirm(formatMessage("<iman:string key="message.ContinueRemove" />", [name]));
      if (resp == true)
      {
         document.delContextForm.name.value = name;
         document.delContextForm.location.value = "XTier\\Configuration\\Xsrv\\Authentication%20Domains\\"+location;
         document.delContextForm.submit();
      }
      else
      {
         return;
      }
   }
   function removeuniversalpwd()
   {
      document.universalPWDForm.type.value = "REG_SZ";
      document.universalPWDForm.value.value ="{6AC0492F-3EEF-11d3-BBF3-00A0C9EA53EF}";
      document.universalPWDForm.NPAction.value = "SetUniversalPWD";
      document.universalPWDForm.action.value = "SetUniversalPWD";
      document.universalPWDForm.submit();
   }
   function setuniversalpwd()
   {
      document.universalPWDForm.type.value = "REG_SZ";
      document.universalPWDForm.value.value ="{FCB72681-D373-11d3-BC08-00A0C9EA53EF}";
      document.universalPWDForm.NPAction.value = "SetUniversalPWD";
      document.universalPWDForm.action.value = "SetUniversalPWD";
      document.universalPWDForm.submit();
   }
   function setemailaddrs(value)
   {
      if (value == true)
      {
         document.emailAddrsForm.value.value = 1;
      }
      else
      {
         document.emailAddrsForm.value.value = 0;
      }
      document.emailAddrsForm.submit();
   }
   function setdottednames(value)
   {
      if (value == true)
      {
         document.dottedNamesForm.value.value = 1;
      }
      else
      {
         document.dottedNamesForm.value.value = 0;
      }
      document.dottedNamesForm.submit();
   }
   </script>
</head>

<body>

<link rel='stylesheet' href='{$ModulesPath}/dev/css/hf_style.css'></link>

<iman:taskHeader titleKey="AuthenticationDomains.title" helpFile="NetStorage/authentication_domain.html" />
   <br/>
   <form name='primaryform' method='get' action='/nps/servlet/frameservice'>
   <input type='hidden' name='label' value='[authdomains]'/>
   <input type='hidden' name='name' value='none'/>
   <input type='hidden' name='type' value='REG_SET_PRIMARY_DOMAIN'/>
   <input type='hidden' name='location' value='XTier\Configuration\Xsrv\Authentication%20Domains'/>
   <input type='hidden' name='value' value='NONE'/>
   <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
   <input type='hidden' name='NPAction' value='SetPrimary'/>
   <input type='hidden' name='action' value='SetPrimary'/>
   </form>
   <form name='delDomainForm' method='get' action='/nps/servlet/frameservice'>
   <input type='hidden' name='label' value='[authdomains]'/>
   <input type='hidden' name='name' value='none'/>
   <input type='hidden' name='type' value='REG_REMOVE_KEY'/>
   <input type='hidden' name='location' value='XTier\Configuration\Xsrv\Authentication%20Domains'/>
   <input type='hidden' name='value' value='NONE'/>
   <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
   <input type='hidden' name='NPAction' value='DelDomain'/>
   <input type='hidden' name='action' value='DelDomain'/>
   </form>
   <form name='delContextForm' method='get' action='/nps/servlet/frameservice'>
   <input type='hidden' name='label' value='[authdomains]'/>
   <input type='hidden' name='name' value='none'/>
   <input type='hidden' name='type' value='REG_REMOVE_KEY'/>
   <input type='hidden' name='location' value='none'/>
   <input type='hidden' name='value' value='NONE'/>
   <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
   <input type='hidden' name='NPAction' value='DelContext'/>
   <input type='hidden' name='action' value='DelContext'/>
   </form>
   <form name='universalPWDForm' method='get' action='/nps/servlet/frameservice'>
   <input type='hidden' name='label' value='[authdomains]'/>
   <input type='hidden' name='name' value='Default%20Authentication%20Provider'/>
   <input type='hidden' name='type' value='none'/>
   <input type='hidden' name='location' value='XTier\Configuration\Xsrv\Authentication%20Domains'/>
   <input type='hidden' name='value' value='none'/>
   <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
   <input type='hidden' name='NPAction' value='none'/>
   <input type='hidden' name='action' value='none'/>
   </form>
   <form name='emailAddrsForm' method='get' action='/nps/servlet/frameservice'>
   <input type='hidden' name='label' value='[authdomains]'/>
   <input type='hidden' name='name' value='Email%20Name%20Support'/>
   <input type='hidden' name='type' value='REG_DWORD'/>
   <input type='hidden' name='location' value='XTier\Configuration\Xsrv\Authentication%20Domains'/>
   <input type='hidden' name='value' value='none'/>
   <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
   <input type='hidden' name='NPAction' value='SeteMailAddrs'/>
   <input type='hidden' name='action' value='SeteMailAddrs'/>
   </form>
   <form name='dottedNamesForm' method='get' action='/nps/servlet/frameservice'>
   <input type='hidden' name='label' value='[authdomains]'/>
   <input type='hidden' name='name' value='Dotted%20Name%20Support'/>
   <input type='hidden' name='type' value='REG_DWORD'/>
   <input type='hidden' name='location' value='XTier\Configuration\Xsrv\Authentication%20Domains'/>
   <input type='hidden' name='value' value='none'/>
   <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
   <input type='hidden' name='NPAction' value='SetDottedNames'/>
   <input type='hidden' name='action' value='SetDottedNames'/>
   </form>
   <table bgcolor='#cccc99' cellpadding='0' cellspacing='10'>
      <tr>
         <th><iman:string key="AuthenticationDomains.Label.AuthFeatures" /></th>
      </tr>
   </table>
   <table bgcolor='#ffffff' cellpadding='0' cellspacing='10' name='table3' id='table3'>
      <tr>
         <x:choose>
         <x:when select='$nsDom//authdomains/valueentry[normalize-space(name)="Default Authentication Provider"
                         and normalize-space(value)="{FCB72681-D373-11d3-BC08-00A0C9EA53EF}"]'>
               <td><input type='checkbox' checked='checked' onclick='removeuniversalpwd()'/></td>
         </x:when>
         <x:otherwise>
            <td><input type='checkbox' onclick='setuniversalpwd()'/></td>
         </x:otherwise>
         </x:choose>
         <th align='left'><iman:string key="AuthenticationDomains.Label.UniversalPWD"/></th>
      </tr>
<%-- Bug 208765
      <tr>
         <x:choose>
         <x:when select='$nsDom//authdomains/valueentry[normalize-space(name)=
                        "Email Name Support" and normalize-space(value)="1"]'>
            <td><input type='checkbox' checked='checked' onclick='setemailaddrs(false)'/></td>
         </x:when>
         <x:otherwise>
            <td><input type='checkbox' onclick='setemailaddrs(true)'/></td>
         </x:otherwise>
         </x:choose>
         <th align='left'><iman:string key="AuthenticationDomains.Label.eMailAddrs"/></th>
      </tr>
      <tr>
         <x:choose>
         <x:when select='$nsDom//authdomains/valueentry[normalize-space(name)=
                        "Dotted Name Support" and normalize-space(value)="1"]'>
            <td><input type='checkbox' checked='checked' onclick='setdottednames(false)'/></td>
         </x:when>
         <x:otherwise>
            <td><input type='checkbox' onclick='setdottednames(true)'/></td>
         </x:otherwise>
         </x:choose>
         <th align='left'><iman:string key="AuthenticationDomains.Label.DottedNames"/></th>
      </tr>
--%>
   </table>
   <br/>
   <table border='0' cellpadding='2' cellspacing='2' name='table1' id='table1'>
      <tr bgcolor='#cccc99' margin='0'>
         <form method='get' action='/nps/servlet/frameservice'>
            <th><iman:string key="AuthenticationDomains.title"/></th>
            <td bgcolor='#ffffff' margin='0'>
               <input type='submit' name='adddomain' value='<iman:string
                      key="AuthenticationDomains.Button.AddDomain" />'/>
               <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
               <input type='hidden' name='NPAction' value='AddDomainPrompt'/>
               <input type='hidden' name='action' value='AddDomainPrompt'/>
            </td>
         </form>
      </tr>
   </table>

   <x:forEach select='$nsDom/authdomains/key'>
      <br/>
      <table border='0' cellpadding='2' cellspacing='2' name='table2' id='table2'>
         <tr bgcolor='#cccc99' margin='0'>
            <th>
               <x:choose>
               <x:when select='valueentry[value="Primary"]'>
                  <x:out select="name" /> (<iman:string key="AuthenticationDomains.Label.Primary" />)
               </x:when>
               <x:otherwise>
                  <x:out select="name" />
                  <input type='button' value='<iman:string key="AuthenticationDomains.Button.MakePrimary" />'
                        onclick='setPrimary("<x:out select='name' />")' />
               </x:otherwise>
               </x:choose>
            </th>
            <th>
               <input type='button' value='<iman:string key="AuthenticationDomains.Button.RemoveDomain" />'
                     onclick='delDomain("<x:out select='name' />")' />
            </th>
            <form method='get' action='/nps/servlet/frameservice'>
            <th>
               <input type='submit' name='addcontext' value='<iman:string key="title.AddContext" />'/>
               <input type='hidden' name='domain' value='<x:out select="name" />' />
               <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
               <input type='hidden' name='NPAction' value='AddContextPrompt'/>
               <input type='hidden' name='action' value='AddContextPrompt'/>
            </th>
            </form>
            <form method='get' action='/nps/servlet/frameservice'>
            <th>
               <input type='submit' name='addhost' value='<iman:string key="AuthenticationDomains.Button.AddHost" />'/>
               <input type='hidden' name='domain' value='<x:out select="name" />' />
               <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
               <input type='hidden' name='NPAction' value='AddHostPrompt'/>
               <input type='hidden' name='action' value='AddHostPrompt'/>
            </th>
            </form>
         </tr>
         <x:forEach select='key'>
            <tr bgcolor='#efeee9' margin='0'>
               <x:choose>
               <x:when select='valueentry'>
                  <td><iman:string key='AuthenticationDomains.Label.Context' />: <x:out select='name' />&#xA0;
                        <iman:string key='AuthenticationDomains.Label.Priority' />: <x:out select='valueentry/value' /></td>
               </x:when>
               <x:otherwise>
                  <td><iman:string key='AuthenticationDomains.Label.Context' />: <x:out select='name' />&#xA0;
                        <iman:string key="AuthenticationDomains.Label.Priority" />: <iman:string key=
                        'AuthenticationDomains.Label.Undefined' /></td>
               </x:otherwise>
               </x:choose>
               <td>
                  <input type='button' value='<iman:string key="AuthenticationDomains.Button.RemoveContext" />'
                         onclick='delContext("<x:out select='name' />", "<x:out select='../name' />" )' />
               </td>
               <form method='get' action='/nps/servlet/frameservice'>
               <th>
                  <input type='submit' name='changepriority' value='<iman:string key="title.ChangePriority" />'/>
                  <input type='hidden' name='domain' value='<x:out select="../name" />' />
                  <input type='hidden' name='context' value='<x:out select="name" />' />
                  <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
                  <input type='hidden' name='NPAction' value='ChangePriorityPrompt'/>
                  <input type='hidden' name='action' value='ChangePriorityPrompt'/>
               </th>
               </form>
            </tr>
         </x:forEach>
      </table>
   </x:forEach>

</body>
</html>
