<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld" prefix="x" %>
<x:parse var="nsDom" xml="${ns_xml_data}"  />

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources"/>

<html>

<head>
   <META HTTP-EQUIV="Content-Type" content="text/html; charset=utf-8"/>
   <META HTTP-EQUIV="Expires" content="0"/>
   <iman:eMFrameScripts/>
   <style>
       A:link     {color:#039; text-decoration:none;}
       A:visited  {color:#039; text-decoration:none;}
       A:hover    {color:green; text-decoration:underline;}
       A:active   {color:#039; text-decoration:none;}
      .major      {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .majorlink  {line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .minor      {margin-left: 20px; font-weight: normal; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .loginmsg   {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      TABLE       {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TH          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TD          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
   </style>
   <title>NetStorage Administration</title>
   <iman:stylesheet />

<%--
   <script LANGUAGE="JavaScript" type="text/javascript" SRC="/NetStorage/messages.js"></script>
   <script language="JavaScript" type="text/javascript" src="/NetStorage/common.js"></script>
--%>
   <script LANGUAGE="JavaScript" type="text/javascript" DEFER="true">
      function changePriority()
      {
         if (document.priorityform.name.value != "")
         {
            document.priorityform.submit();
         }
      }

      function setFocus()
      {
         document.priorityform.value.focus();
      }
   </script>
</head>

<body onload="setFocus()">
   <link rel='stylesheet' href='{$ModulesPath}/dev/css/hf_style.css'></link>
   <iman:taskHeader titleKey="title.ChangePriority" helpFile="NetStorage/authentication_domain.html" />
   <br/>
   <div class='width450'>
      <span class='formdescriptextml0'>
         <iman:string key="text.ChangePriority"/>
      </span>
   </div>
   <br/>

   <table>
      <form name='priorityform' method='get' action='/nps/servlet/frameservice'>
      <input type='hidden' name='label' value='[authdomains]'/>
         <tr margin='0'>
            <th bgcolor='#cccc99'><iman:string key="AuthenticationDomains.Label.Domain"/>:   <x:out
                  select='$nsDom/changepriority/domain'/></th>
            <th>     </th>
            <th bgcolor='#cccc99'><iman:string key="AuthenticationDomains.Label.Context"/>:   <x:out
                  select='$nsDom/changepriority/context'/></th>
         </tr>
         <tr>
            <td>
               <input type='hidden' name='name' value='Priority'/>
               <input type='hidden' name='type' value='REG_DEC_DWORD'/>
               <input type='hidden' name='location' value="XTier\Configuration\Xsrv\Authentication%20Domains\<x:out
                     select='$nsDom/changepriority/domain'/>\<x:out select='$nsDom/changepriority/context'/>" />
               <iman:string key="AuthenticationDomains.Label.EnterPriority"/>:<input type='INT' name='value' size='7'
                     maxlength='7' onKeyPress="return checkDigitInput(event)"/>
               <input type='hidden' name='NPService' value='NetStorage.authentication_domains'/>
               <input type='hidden' name='NPAction' value='ChangePriority'/>
               <input type='hidden' name='action' value='ChangePriority'/>
            </td>
         </tr>
         <tr>
            <td>
               <input type='button' value='<iman:string key="title.ChangePriority"/>' onclick='changePriority()'/>
            </td>
         </tr>
      </form>
   </table>

</body>
</html>
