<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld" prefix="x" %>
<x:parse var="nsDom" xml="${ns_xml_data}"  />

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources"/>

<html>

<head>
   <META HTTP-EQUIV="Content-Type" content="text/html; charset=utf-8"/>
   <META HTTP-EQUIV="Expires" content="0"/>
   <iman:eMFrameScripts/>
   <style>
       A:link     {color:#039; text-decoration:none;}
       A:visited  {color:#039; text-decoration:none;}
       A:hover    {color:green; text-decoration:underline;}
       A:active   {color:#039; text-decoration:none;}
      .major      {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .majorlink  {line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .minor      {margin-left: 20px; font-weight: normal; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .loginmsg   {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      TABLE       {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TH          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TD          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
   </style>
   <title>NetStorage Administration</title>
   <iman:stylesheet />

   <script LANGUAGE="JavaScript" type="text/javascript" DEFER="true">
      function onDefaults()
      {
         var t = document.getElementById("table1");
         var resp = false;
         var length = t.rows.length;

         // Prompt user for a confirmation
	 var confcancel='<iman:string key="ConfirmCancel" />';
         resp = confirm(confcancel);
         if (resp == true)
         {
            // Copy data in default column into data column
            for(rows = 1; rows<length; rows++)
            {
               if(t.rows[rows].cells[3].firstChild != null)
                  t.rows[rows].cells[4].firstChild.value = t.rows[rows].cells[3].firstChild.nodeValue;
            }

            // Now submit the form with the default data
            document.nsadminform.submit();
         }
      }

      function onSubmit()
      {
         var t = document.getElementById("table1");
         var length = t.rows.length;

         // If data column is empty, copy data in default column into data column
         for(rows = 1; rows<length; rows++)
         {
            if (t.rows[rows].cells[4].firstChild.value == null ||
                t.rows[rows].cells[4].firstChild.value == "")
            {
               if (t.rows[rows].cells[3].firstchild != null)
                  t.rows[rows].cells[4].firstChild.value = t.rows[rows].cells[3].firstChild.nodeValue;
            }
         }

         // Now submit the form with the default data
         document.nsadminform.submit();
      }
   </script>
</head>
<body>

   <link rel='stylesheet' href='{$ModulesPath}/dev/css/hf_style.css'></link>

<%-- <c:out value="c:out  ${info_title}" /> --%>

   <iman:taskHeader title="${info_title}" helpFile="NetStorage/${help_doc}.html" />
<%--  <iman:taskHeader titleKey="Information.Title.iFolderStorageProvider" helpFile="NetStorage/${help_doc}.html" /> --%>
   <br/>
      <form name='nsadminform' method='get' action='/nps/servlet/frameservice'>
      <input type='hidden' name='label'value="<x:out select='$nsDom//label'/>" />
      <table border='0' cellpadding='2' cellspacing='2' name='table1' id='table1'>
         <tr bgcolor='#cccc99' margin='0'>
            <th><iman:string key="Information.Label.Name"/></th>
            <th><iman:string key="Information.Label.Type"/></th>
            <th><iman:string key="Information.Label.Location"/></th>
            <th><iman:string key="Information.Label.DefaultValue"/></th>
            <th><iman:string key="Information.Label.Value"/></th>
         </tr>
         <x:forEach select='$nsDom//data'>
         <x:choose>
         <x:when select="type[.='NSADMIN_PASSWORD']">
            <tr bgcolor='#efeee9' margin='0'>
	       <x:choose>
		<x:when select="name[.='Proxy Username']"> 
		 <td><iman:string key="ProxyUsername"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
		</x:when>
		<x:otherwise>
		 <x:choose>
		 <x:when select="name[.='Proxy Password']">
		  <td><iman:string key="ProxyPassword"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>	
		 </x:when>
		 <x:otherwise>
                  <td><x:out  select="name"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
		 </x:otherwise>
		 </x:choose>
		</x:otherwise>
	       </x:choose>	
               <td><x:out  select="type"/><input type="hidden" name="type" value="<x:out  select="type"/>" /></td>
               <td><x:out  select="location"/><input type="hidden" name="location" value="<x:out select='location'/>" /></td>
               <td><x:out  select="default"/></td>
               <td><input size="50%" type="password" name="value" value="<x:out  select='value'/>" /></td>
            </tr>
         </x:when>
         <x:otherwise>
            <tr bgcolor='#efeee9' margin='0'>
		<x:choose>
                   <x:when select="name[.='Root']">
                      <td><iman:string key="Root"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
                   </x:when>
                   <x:otherwise>
                   <x:choose>
                      <x:when select="name[.='iFolder Server']">
                         <td><iman:string key="iFolderServer"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
                      </x:when>
                      <x:otherwise>
			 <x:choose>
			  <x:when select="name[.='Passphrase Form Protocol']">
			   <td><iman:string key="PassphraseFormProtocol"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
			  </x:when>
			  <x:otherwise>
			    <x:choose>
			     <x:when select="name[.='Secure Port']">
			      <td><iman:string key="SecurePort"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
			     </x:when>
			     <x:otherwise>
			      <x:choose>
			       <x:when select="name[.='Home Name']">
				<td><iman:string key="HomeName"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
			       </x:when>			       
			       <x:otherwise>
				<x:choose>
				 <x:when select="name[.='Drive Name']">
				  <td><iman:string key="DriveName"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
				 </x:when>
				 <x:otherwise>
				  <x:choose>
				   <x:when select="name[.='Public Dir Name']">
				    <td><iman:string key="PublicDirName"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td> 	
				   </x:when> 
				   <x:otherwise>
				    <x:choose>
				     <x:when select="name[.='Alt Tree Name']">
				      <td><iman:string key="AltTreeName"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>	
				     </x:when>
				     <x:otherwise> <%-- last-13 otherwise--%>
				      <x:choose>
				       <x:when select="name[.='Container Search Height']">
				        <td><iman:string key="ContainerSearchHeight"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
				       </x:when>
			               <x:otherwise> <%-- last-12 otherwise--%>
					<x:choose> 
					 <x:when select="name[.='Check MAP Drives']">
					  <td><iman:string key="CheckMAPDrives"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
					 </x:when>
					 <x:otherwise> <%-- last-11 otherwise--%>
					  <x:choose>
					   <x:when select="name[.='Home Dirs']">
  					    <td><iman:string key="HomeDirs"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
					   </x:when>
					   <x:otherwise>  <%-- last-10 otherwise--%> 
					    <x:choose>
					     <x:when select="name[.='Login Scripts']">
					      <td><iman:string key="LoginScripts"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td> 
					     </x:when>
					     <x:otherwise> <%-- last-9 otherwise--%>
					      <x:choose>
					       <x:when select="name[.='Storage Locations']">
						<td><iman:string key="StorageLocations"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
					       </x:when>
					       <x:otherwise> <%-- last-8 otherwise--%>
						<x:choose>
						 <x:when select="name[.='Shared Directory']">
						  <td><iman:string key="SharedDirectory"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
						 </x:when>
						 <x:otherwise> <%-- last-7 otherwise--%>
						  <x:choose>
						   <x:when select="name[.='Janitor Interval']">
						    <td><iman:string key="JanitorInterval"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
						   </x:when>
						   <x:otherwise> <%-- last-6 otherwise--%>
						    <x:choose>
						     <x:when select="name[.='Persistent Cookies']">
						      <td><iman:string key="PersistentCookies"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
						     </x:when>
						     <x:otherwise> <%-- last-5 otherwise--%>
						      <x:choose>
						       <x:when select="name[.='Location']">
							<td><iman:string key="Location"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
						       </x:when>
						       <x:otherwise> <%-- last-4 otherwise--%>
							<x:choose>
							 <x:when select="name[.='Session Timeout']">
							  <td><iman:string key="SessionTimeout"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>	
							 </x:when>
							 <x:otherwise> <%-- last-3 otherwise--%>
							  <x:choose>
							   <x:when select="name[.='LDAP Port']">
							    <td><iman:string key="LDAPPort"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
							   </x:when>
							   <x:otherwise> <%-- last-2 otherwise--%>
							    <x:choose>
							     <x:when select="name[.='Cookieless']">
							      <td><iman:string key="Cookieless"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
							     </x:when>
							     <x:otherwise> <%-- last-1 otherwise--%>
								<x:choose>
								 <x:when select="name[.='ClosestEDirServerDN']">	
								  <td><iman:string key="ClosestEDirServerDN"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
								 </x:when>
								 <x:otherwise> <%-- last otherwise--%>
                                                                  <td><x:out  select="name"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td>
								 </x:otherwise> <%--end last otherwise--%>
								</x:choose>
							     </x:otherwise>  <%--end last-1 otherwise--%>
							    </x:choose>
							   </x:otherwise> <%--end last-2 otherwise--%>
							  </x:choose>
							 </x:otherwise> <%--end last-3 otherwise--%>
							</x:choose>
						       </x:otherwise> <%--end last-4 otherwise--%>
						      </x:choose>
						     </x:otherwise>  <%--end last-5 otherwise--%>
						    </x:choose>
						   </x:otherwise> <%--end last-6 otherwise--%>
						  </x:choose>
						 </x:otherwise> <%--end last-7 otherwise--%>
						</x:choose>
					       </x:otherwise> <%--end last-8 otherwise--%>
					      </x:choose>	
					     </x:otherwise> <%--end last-9 otherwise--%>
					    </x:choose>
					   </x:otherwise> <%--end last-10 otherwise--%>
					  </x:choose>
					 </x:otherwise> <%--end last-11 otherwise--%>
					</x:choose> 
				       </x:otherwise>	 <%--end last-12 otherwise--%>
				      </x:choose>
				     </x:otherwise>    <%--end last-13 otherwise--%>
				    </x:choose>
				   </x:otherwise>
				  </x:choose>
				 </x:otherwise>
				</x:choose>
			       </x:otherwise>
			      </x:choose>
			     </x:otherwise>
			    </x:choose>
			  </x:otherwise>
			 </x:choose>
                      </x:otherwise>
                   </x:choose>
                   </x:otherwise>
                </x:choose>
		
<%--               <td><x:out  select="name"/><input type="hidden" name="name" value="<x:out  select='name'/>" /></td> --%>
               <td><x:out  select="type"/><input type="hidden" name="type" value="<x:out  select="type"/>" /></td>
               <td><x:out  select="location"/><input type="hidden" name="location" value="<x:out select='location'/>" /></td>
               <td><x:out  select="default"/></td>
               <td><input size="50%" type="text" name="value" value="<x:out  select='value'/>" /></td>
            </tr>
         </x:otherwise>
         </x:choose>
         </x:forEach>
      </table>
      <input type='hidden' name='taskId' value='<c:out value="${taskId}" />' />
      <input type='hidden' name='action' value='Information'/>
      <input type='button' onclick='onSubmit()' value='<iman:string key="button.Submit" />' />
      <input type='button' onclick='onDefaults()' value='<iman:string key="Information.Button.SetDefaults" />' name='defaults' id='defaults'/>
   </form>

</body>
</html>
