<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld"    prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld"    prefix="x" %>

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources" />
<iman:stringtable bundle="DevResources" />

<html>
<head>
   <title><iman:string key="dev.ProductName"/></title>
   <iman:stylesheet />

   <iman:eMFrameScripts />
   <iman:osScripts />
   <iman:targetChooserScripts />
   <iman:mvedScripts />
   <iman:validateNumberScripts />

   <script>
      function onInit()
      {
      }

      function onExit()
      {
      }

      function doit()
      {
         if (document.storagelocationsform.contextName.value == "")
         {
            alert("Must select a Storage Location object!");
         }
         else
         {
            document.storagelocationsform.submit();
         }
      }
   </script>
</head>

<body bgcolor="#FFFFFF" onLoad="returnFromOS();onInit();">
   <form name='storagelocationsform' method='get' action='webacc'>

      <iman:taskHeader titleKey="StorageLocations.Title.ModifyObject" helpFile="NetStorage/slocation_modify.html" />

      <!-- Object Selector to create xTier-StorageLocation obj -->
      <br/>
      <div class='width450'>
         <span class='formdescriptextml0'>
            <iman:string key="StorageLocations.Text3" />
         </span>
      </div>
      <br/>
      <!-- xTier-URL, CN, displayName & Description inputs -->
      <table>
         <tr>
            <td><input type='hidden' name='name' value='<c:out value="${name}" />'
                       size='<iman:string key="UI.textboxSize" />'
                       style='width:<iman:string key="UI.textboxPixel" />' /></td>
         </tr>
         <tr>
            <td><nobr><iman:string key="StorageLocations.Label.DisplayName"/>:</nobr></td>
            <td><input type='text' name='displayname' value='<c:out value="${displayname}" />'
                       size='<iman:string key="UI.textboxSize" />'
                       style='width:<iman:string key="UI.textboxPixel" />' /></td>
         </tr>
         <tr>
            <td><nobr><iman:string key="StorageLocations.Label.DirectoryLocation" />:</nobr></td>
            <td><input type='text' name='xtierurl' value='<c:out value="${xtierurl}" />'
                       size='<iman:string key="UI.textboxSize" />'
                       style='width:<iman:string key="UI.textboxPixel" />' /></td>
         </tr>
         <tr>
            <td><nobr><iman:string key="StorageLocations.Label.Comment" />:</nobr></td>
            <td><input type='text' name='description' value='<c:out value="${description}" />'
                       size='<iman:string key="UI.textboxSize" />'
                       style='width:<iman:string key="UI.textboxPixel" />' /></td>
         </tr>
         <tr>
            <td><input type='hidden' name='contextName' value='<c:out value="${contextname}" />'
                       size='42' style='width:264' border='0' hspace='4' /></td>
         </tr>
      </table>
      <br/>
      <div class='width450'>
         <span class='formdescriptextml0'>
            <b><iman:string key="StorageLocations.Text4.Note" />
            </b>: <iman:string key="StorageLocations.Text5" />
         </span>
      </div>
      <br/>

      <!-- ok and cancel buttons -->
      <br/>
      <iman:bar />
      <iman:button name="OkButton" key="OK" onClick="doit()" />
      <iman:cancelBtn />
<%--  <input type='hidden' name='NPService' value='{../@id}'/> DO WE NEED THIS? --%>
      <input type='hidden' name='taskId' value='<c:out value="${taskId}" />' />
      <input type='hidden' name='NPState' value='ModifyStorageLocationMainPage'/>
      <input type='hidden' name='NSAction' value='ModifyStorageLocation'/>
   </form>
   <iman:osFooter />
</body>
</html>
