<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld"    prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld"    prefix="x" %>

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources" />
<iman:stringtable bundle="DevResources" />

<html>
<head>
   <title><iman:string key="dev.ProductName"/></title>
   <iman:stylesheet />

   <iman:eMFrameScripts />
   <iman:osScripts />
   <iman:targetChooserScripts />
   <iman:mvedScripts />
   <iman:validateNumberScripts />

   <script>
      function onInit()
      {
      }

      function onExit()
      {
      }

      function doit()
      {
         if (document.storagelocationsform.contextName.value == "")
         {
            alert("Must select a Storage Location object!");
         }
         else
         {
            document.storagelocationsform.submit();
         }
      }
   </script>
</head>

<body bgcolor="#FFFFFF" onLoad="returnFromOS();onInit();">
   <form name='storagelocationsform' method='get' action='webacc'>

      <iman:taskHeader title="${sl_title}" helpFile="NetStorage/${help_doc}.html" />

      <!-- Object Selector to bind xTier-Locations -->
      <br/>
      <div class='width450'>
         <span class='formdescriptextml0'>
            <iman:string key="${desc}" />
         </span>
      </div>
      <br/>
      <table>
         <tr>
            <td><iman:string key="StorageLocations.Label.StorageLocationObject"/>:</td>
            <td><input type='text' name='contextName' size='<iman:string key="UI.textboxSize" />'
                       style='width:<iman:string key="UI.textboxPixel" />' border='0' hspace='4'/></td>
            <td><iman:os control="contextName" mode="Browse" typeFilter="xTier-StorageLocation"
                         history="true" /></td>
         </tr>
      </table>

      <!-- ok and cancel buttons -->
      <br/>
      <iman:bar />
      <iman:button name="OkButton" key="OK" onClick="doit()" />
      <iman:cancelBtn />

<%--  <input type='hidden' name='NPService' value='{../@id}'/>  DO WE NEED THIS? --%>
      <input type='hidden' name='taskId' value='<c:out value="${taskId}" />' />
      <input type='hidden' name='NPState' value='ModifyStorageLocationMainPage'/>
      <input type='hidden' name='NSAction' value='<c:out value="${NSnextAction}" />' />
   </form>
   <iman:osFooter />
</body>
</html>
