<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld" prefix="x" %>
<%-- <c:import var="xslt" url="${ns_xmlst}" /> --%>
<%-- <c:out value="${ns_xml_data}" /> --%>
<x:parse var="nsDom" xml="${ns_xml_data}"  />

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources"/>

<html>

<head>
   <META HTTP-EQUIV="Content-Type" content="text/html; charset=utf-8"/>
   <META HTTP-EQUIV="Expires" content="0"/>
   <iman:eMFrameScripts/>
   <style>
       A:link     {color:#039; text-decoration:none;}
       A:visited  {color:#039; text-decoration:none;}
       A:hover    {color:green; text-decoration:underline;}
       A:active   {color:#039; text-decoration:none;}
      .major      {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .majorlink  {line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .minor      {margin-left: 20px; font-weight: normal; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .loginmsg   {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      TABLE       {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TH          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TD          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
   </style>
   <title>NetStorage Administration</title>
   <iman:stylesheet />
</head>
<body>


<%--<xsl:template match='modules'>--%>
<%--   <xsl:call-template name="help-scripts"/>--%>
<%--   <LINK rel='stylesheet' href='{$Portal.ResourcePath}/modules/dev/css/hf_style.css'></LINK>--%>
<link rel='stylesheet' href='{$ModulesPath}/dev/css/hf_style.css'></link>

<%--   <xsl:call-template name="task-header">--%>
<%--   <xsl:with-param name="TaskHeader.title"><xsl:value-of select="$com.novell.emframe.netstorage.Modules.Title.ResourceUsage"/></xsl:with-param>--%>
<%--   <xsl:with-param name="TaskHeader.iconUrl" select="concat($Portal.ResourcePath, '/modules/dev/images/dir/User.gif')"/>--%>
   <%-- help *.html files must be located in NetStorage/help/en or appropriate language dir --%>
<%--   <xsl:with-param name="TaskHeader.helpFile">NetStorage/resource_usage.html</xsl:with-param>--%>
<%--   </xsl:call-template>--%>
<iman:taskHeader titleKey="Modules.Title.ResourceUsage" helpFile="NetStorage/resource_usage.html" />
   <br/>
<x:choose>
<x:when select='$nsDom//modules' >
   <table border='0' cellpadding='2' cellspacing='2' name='table1' id='table1'>
      <tr bgcolor='#cccc99' margin='0'>
<%--     <th><xsl:value-of select="$com.novell.emframe.netstorage.Modules.Label.ModuleName"/></th>--%>
         <th><iman:string key="Modules.Label.ModuleName" /></th>
         <th><iman:string key="Modules.Label.PagedMemory"/></th>
         <th><iman:string key="Modules.Label.NonPagedMemory"/></th>
         <th><iman:string key="Modules.Label.Events"/></th>
         <th><iman:string key="Modules.Label.ReadWriteLocks"/></th>
         <th><iman:string key="Modules.Label.Mutex"/></th>
         <th><iman:string key="Modules.Label.Threads"/></th>
         <th><iman:string key="Modules.Label.Timers"/></th>
         <th><iman:string key="Modules.Label.WorkItems"/></th>
         <th><iman:string key="Modules.Label.ConfigKeys"/></th>
      </tr>
<%--  <xsl:for-each select='module'>--%>
      <x:forEach select='$nsDom//modules/module'>
         <tr bgcolor='#efeee9' margin='0'>
            <td><x:out select="module-name"/></td>
            <td><x:out select="paged-memory"/></td>
            <td><x:out select="nonpaged-memory"/></td>
            <td><x:out select="events"/></td>
            <td><x:out select="read-write-locks"/></td>
            <td><x:out select="mutex"/></td>
            <td><x:out select="threads"/></td>
            <td><x:out select="timers"/></td>
            <td><x:out select="work-items"/></td>
            <td><x:out select="config-keys"/></td>
         </tr>
      </x:forEach>
   </table>
</x:when>
<x:when select='$nsDom//daemonmodules' >
   <table border='0' cellpadding='2' cellspacing='2' name='table1' id='table1'>
   <x:forEach select='$nsDom//daemonmodules/daemon'>
      <tr bgcolor='#ffffff'>
         <td><br/></td>
      </tr>
      <tr margin='0'>
         <th bgcolor='#cccc99'><iman:string key="Modules.Label.DaemonInstance"/>:</th>
         <td bgcolor='#ffffff'><x:out select="instance"/></td>
      </tr>
      <tr bgcolor='#cccc99' margin='0'>
         <th><iman:string key="Modules.Label.ModuleName"/></th>
         <th><iman:string key="Modules.Label.PagedMemory"/></th>
         <th><iman:string key="Modules.Label.NonPagedMemory"/></th>
         <th><iman:string key="Modules.Label.Events"/></th>
         <th><iman:string key="Modules.Label.ReadWriteLocks"/></th>
         <th><iman:string key="Modules.Label.Mutex"/></th>
         <th><iman:string key="Modules.Label.Threads"/></th>
         <th><iman:string key="Modules.Label.Timers"/></th>
         <th><iman:string key="Modules.Label.WorkItems"/></th>
         <th><iman:string key="Modules.Label.ConfigKeys"/></th>
      </tr>
      <x:forEach select='module'>
         <tr bgcolor='#efeee9' margin='0'>
            <td><x:out select="module-name"/></td>
            <td><x:out select="paged-memory"/></td>
            <td><x:out select="nonpaged-memory"/></td>
            <td><x:out select="events"/></td>
            <td><x:out select="read-write-locks"/></td>
            <td><x:out select="mutex"/></td>
            <td><x:out select="threads"/></td>
            <td><x:out select="timers"/></td>
            <td><x:out select="work-items"/></td>
            <td><x:out select="config-keys"/></td>
         </tr>
      </x:forEach>
   </x:forEach>
   </table>
</x:when>
<x:otherwise>
   <table border='0' cellpadding='2' cellspacing='2' name='table1' id='table1'>
   <tr bgcolor='#ffffff' margin='0'>
      <td><iman:string key="message.DataNotAvailable"/></td>
   </tr>
   </table>
</x:otherwise>
</x:choose>

<%--</xsl:template>--%>

</body>
</html>
