<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/x.tld" prefix="x" %>
<x:parse var="nsDom" xml="${ns_xml_data}"  />

<iman:stringtable bundle="com.novell.emframe.resources.NetStorageResources"/>

<html>

<head>
   <META HTTP-EQUIV="Content-Type" content="text/html; charset=utf-8"/>
   <META HTTP-EQUIV="Expires" content="0"/>
   <iman:eMFrameScripts/>
   <style>
       A:link     {color:#039; text-decoration:none;}
       A:visited  {color:#039; text-decoration:none;}
       A:hover    {color:green; text-decoration:underline;}
       A:active   {color:#039; text-decoration:none;}
      .major      {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .majorlink  {line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .minor      {margin-left: 20px; font-weight: normal; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      .loginmsg   {color:#039; line-height:20px; font-weight: bold; font-family: "Trebuchet MS", Arial, Helvetica, Geneva }
      TABLE       {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TH          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
      TD          {margin: 0; font-family: "Trebuchet MS", "Arial"; FONT-SIZE: 10PT;}
   </style>
   <title>NetStorage Administration</title>
   <iman:stylesheet />
</head>
<body>


<link rel='stylesheet' href='{$ModulesPath}/dev/css/hf_style.css'></link>

<iman:taskHeader titleKey="Sessions.Title.CurrentSessions" helpFile="NetStorage/current_sessions.html" />
<br/>
<x:choose>
<x:when select='$nsDom//sessions'>
   <table border='0' cellpadding='2' cellspacing='2' name='table1' id='table1'>
      <tr bgcolor='#cccc99' margin='0'>
         <th><iman:string key="Sessions.Label.Name" /></th>
         <th><iman:string key="Sessions.Label.Id"/></th>
         <th><iman:string key="Sessions.Label.Address"/></th>
         <th><iman:string key="Sessions.Label.LoginTime"/></th>
         <th><iman:string key="Sessions.Label.RequestsServiced"/></th>
         <th><iman:string key="Sessions.Label.LastReqeustTime"/></th>
      </tr>
      <x:forEach select='$nsDom//sessions/session'>
         <tr bgcolor='#efeee9' margin='0'>
            <x:choose>
             <x:when select="identity[.='ANONYMOUS']">
              <td><iman:string key="ANONYMOUS"/></td>
             </x:when>
             <x:otherwise>
              <td><x:out select="identity"/></td>
             </x:otherwise>
            </x:choose>
            <td><x:out select="session-id"/></td>
            <td><x:out select="remote-host"/></td>
            <td><x:out select="login-time"/></td>
            <td><x:out select="requests"/></td>
            <td><x:out select="last-request-time"/></td>
         </tr>
      </x:forEach>
   </table>
</x:when>
<x:when select='$nsDom//daemonsessions'>
   <table border='0' cellpadding='2' cellspacing='2' name='table1' id='table1'>
   <x:forEach select='$nsDom//daemonsessions/daemon'>
      <tr bgcolor='#ffffff'>
         <td><br/></td>
      </tr>
      <tr margin='0'>
         <th bgcolor='#cccc99'><iman:string key="Sessions.Label.DaemonInstance"/>:</th>
         <td bgcolor='#ffffff'><x:out select="instance"/></td>
      </tr>
      <tr bgcolor='#cccc99' margin='0'>
         <th><iman:string key="Sessions.Label.Name"/></th>
         <th><iman:string key="Sessions.Label.Id"/></th>
         <th><iman:string key="Sessions.Label.Address"/></th>
         <th><iman:string key="Sessions.Label.LoginTime"/></th>
         <th><iman:string key="Sessions.Label.RequestsServiced"/></th>
         <th><iman:string key="Sessions.Label.LastReqeustTime"/></th>
      </tr>
      <x:forEach select='session'>
         <tr bgcolor='#efeee9' margin='0'>
            <x:choose>
             <x:when select="identity[.='ANONYMOUS']">
              <td><iman:string key="ANONYMOUS"/></td>
             </x:when>
             <x:otherwise>
              <td><x:out select="identity"/></td>
             </x:otherwise>
            </x:choose>
            <td><x:out select="session-id"/></td>
            <td><x:out select="remote-host"/></td>
            <td><x:out select="login-time"/></td>
            <td><x:out select="requests"/></td>
            <td><x:out select="last-request-time"/></td>
         </tr>
      </x:forEach>
   </x:forEach>
   </table>
</x:when>
<x:otherwise>
   <table border='0' cellpadding='2' cellspacing='2' name='table1' id='table1'>
      <tr bgcolor='#ffffff' margin='0'>
         <td><iman:string key="message.DataNotAvailable"/></td>
      </tr>
   </table>
</x:otherwise>
</x:choose>

</body>
</html>
