<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="*|/"><xsl:apply-templates/></xsl:template>

<xsl:template match="text()|@*"><xsl:value-of select="."/></xsl:template>

<xsl:template match="FILELIST">
   <iframe width="100%" height="100%">
      <xsl:attribute name="src"><xsl:value-of select="WEBSERVER"/>/NetStorage/gadget.html?session=<xsl:value-of select="SESSION"/></xsl:attribute>
   </iframe>
</xsl:template>

<xsl:template match="FileError">
<xsl:value-of select="Error"/>
</xsl:template>

<xsl:template match="INPUTDATA">
<form method="post">
   <xsl:for-each select="CustomForm/InputEntry">
      <xsl:value-of select="InputLabel"/>
      <Input size="20">
         <xsl:attribute name="type"><xsl:value-of select="InputType"/></xsl:attribute>
         <xsl:attribute name="name"><xsl:value-of select="InputName"/></xsl:attribute>
      </Input>
   </xsl:for-each>
</form>
</xsl:template>

</xsl:stylesheet>

